### anf-ioc

`1.3.1`
Need help reading this?

### $get

index.js

Get value from IOC container

$get(key: string): any
Parameters
key `(string)` Name of resource
Returns
`any`: Resource

### $set

index.js

Set value from IOC container

$set(key: string, value: string, check_exist: [boolean])
Parameters
key `(string)` Name of resource
value `(string)` Value of resource
check_exist `([boolean] (default `false`) )` Throw warning if resource already defined.

### $inject

index.js

Inject values from input args (last argument need to be a function)

$inject(args: array)
Parameters
args `(array)` Array of arguments

### $invoke

index.js

Inject values from input args to input function

$invoke(args: array, fn: function)
Parameters
args `(array)` Array of arguments
fn `(function)` : Callback function

### $call

index.js

Inject argument values callback

$call(fn: function)
Parameters
fn `(function)` : Callback function

### $remove

index.js

Remove resource from given key

$remove(key: string)
Parameters
key `(string)` Name of resource

### $addList

index.js

Add a list of resources

$addList(list: Object)
Parameters
list `(Object)` : Map with keys and values

### $singleton

index.js

Add a singleton object to IOC container

$singleton(key: string, fn: function)
Parameters
key `(string)` Name of singleton resource
fn `(function)` Callback that generate the resource